Kirjoittaja Aihe: Brother HL-L2310D ajurit vanhentuneet.  (Luettu 404 kertaa)

mpiso

  • Käyttäjä
  • Viestejä: 641
    • Profiili
Brother HL-L2310D ajurit vanhentuneet.
« : 14.05.23 - klo:19.12 »
Uskalsin ostaa otsikon mukaisen tulostimen, kun luin (https://forum.ubuntu-fi.org/index.php?topic=57236.msg436872#msg436872), että Ubuntu asennus onnistuu.

Asennus onnistui ja tulostin toimii, mutta asennuksen lopussa oli seuraava teksti:

Koodia: [Valitse]
lpadmin -p HLL2310D -E -v usb://Brother/HL-L2310D%20series?serial=E78096L2N326791 -P /usr/share/ppd/brother/brother-HLL2310D-cups-en.ppd
lpadmin: Printer drivers are deprecated and will stop working in a future version of CUPS.

Miten pitäisi toimia, voiko uuden CUPS version estää asentumasta? Vai miten varaudun, että tulostin jatkossakin toimii?

Minulla on Kubuntu 22.04.

nm

  • Käyttäjä
  • Viestejä: 15786
    • Profiili
Vs: Brother HL-L2310D ajurit vanhentuneet.
« Vastaus #1 : 14.05.23 - klo:20.24 »
Uskalsin ostaa otsikon mukaisen tulostimen, kun luin (https://forum.ubuntu-fi.org/index.php?topic=57236.msg436872#msg436872), että Ubuntu asennus onnistuu.

Asennus onnistui ja tulostin toimii, mutta asennuksen lopussa oli seuraava teksti:

Koodia: [Valitse]
lpadmin -p HLL2310D -E -v usb://Brother/HL-L2310D%20series?serial=E78096L2N326791 -P /usr/share/ppd/brother/brother-HLL2310D-cups-en.ppd
lpadmin: Printer drivers are deprecated and will stop working in a future version of CUPS.

Miten pitäisi toimia, voiko uuden CUPS version estää asentumasta? Vai miten varaudun, että tulostin jatkossakin toimii?

CUPS on siirtymässä IPP-pohjaiseen tulostukseen, jolloin perinteiset tulostinkohtaiset ajurit siirtyvät varsinaisen Cupsin ulkopuolelle. En ehkä tässä vaiheessa panikoisi tuosta ilmoituksesta. Kehittäjät kehittävät mekanismeja, joilla myös perinteiset IPP-vajaat tulostimet saadaan toimimaan saumattomasti. Ubuntu 22.04:n tuen aikana tuskin tulee muutoksia, vaan ehkä 23.10:ssä tai 24.04:ssä.

"Ajurittoman" tulostusjonon voi itsekin kokeilla näperrellä, jos haluaa harrastaa:
https://wiki.debian.org/CUPSDriverlessPrinting

mpiso

  • Käyttäjä
  • Viestejä: 641
    • Profiili
Vs: Brother HL-L2310D ajurit vanhentuneet.
« Vastaus #2 : 15.05.23 - klo:21.18 »
Eipä tässä mitään paniikkia ole, tulostin oli aika edullinen. Alkuperäinen 3000 sivun mustekasetti maksaa huomattavasti enemmän, vaikka siinä ei ole mukana rumpua.

Odotus ei vai tainnut ollut realistinen. Olin käyttänyt edellistä lasertulostinta Samsung ML-1520 vuodesta 2004 asti. Toimii vieläkin mutta ei aina suostu tulostamaan heti, pitää ensin avata ja sulkea paperilaatikko.

"Ajurittoman" tulostusjonon näpertely saa ainakin toistaiseksi jäädä. Toivottavasti aikanaan löytyy jokin ratkaisu. Vanhentuneilla ajureilla on ilmeisesti muitakin tulostinmerkkejä.

mpiso

  • Käyttäjä
  • Viestejä: 641
    • Profiili
Vs: Brother HL-L2310D ajurit vanhentuneet.
« Vastaus #3 : 17.05.23 - klo:23.06 »
Tuli alla olevat päivitykset. Arvelutti kannattaako päivittää, mutta koska oli kysymys tietoturvapäivityksestä, päätin kokeilla. 

Koodia: [Valitse]
Nämä paketit päivitetään:
 cups-browsed cups-filters cups-filters-core-drivers google-chrome-stable libcupsfilters1 libfontembed1
6 päivitetty, 0 uutta asennusta, 0 poistettavaa ja 0 päivittämätöntä.
5 standard LTS security updates

Tulostin toimii vielä päivityksen jälkeenkin. Oikeastaan päättelin sen jo ennen kokeilua, kun näin mitkä versiot oli jälkeen ja ennen päivityksen (1.28.15-0ubuntu1.2 – 1.28.15-0ubuntu1). Suuremman muutoksen jälkeen versionumero muuttuu oletettavasti enemmän. Komennolla  sudo apt full-upgrade versionumerot näkee vasta hyväksymisen jälkeen. Olisiko komennon loppuun lisäys –dry -run ratkaisu? Nyt ei tarvitse, mutta onko mahdollista palata takaisin edelliseen versioon?